
Redmine - Defect #1643

dependency on ruby 1.8.7 introduced in r1660

2008-07-14 22:30 - Peter Van den Bosch

Status: Closed Start date: 2008-07-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

A small dependency on ruby 1.8.7 seems to have been introduced in r1660.

Calling the array index function with a block has only been introduced in ruby 1.8.7, making the new menu mapper options

incompatible with ruby 1.8.6.

@menu_items.index {|i| i.name == after}

Above code causes following error in ruby 1.8.6:

Redmine/lib/redmine/menu_manager.rb:135:in `index': wrong number of arguments (0 for 1) (ArgumentE

rror)

Associated revisions

Revision 1679 - 2008-07-20 11:25 - Jean-Philippe Lang

Fixed: dependency on ruby 1.8.7 introduced in r1660 (#1643).

History

#1 - 2008-07-20 11:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r1679.
